Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTextFieldUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.TextUI
javax.swing.plaf.basic.BasicTextUI
javax.swing.plaf.basic.BasicTextFieldUI

All Implemented Interfaces:
  `ViewFactory`

Direct Known Subclasses:
  `BasicFormattedTextFieldUI`, `BasicPasswordFieldUI`, `MetalTextFieldUI`, `SynthTextFieldUI`

public class BasicTextFieldUI extends BasicTextUI
Basis of a look and feel for a JTextField.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Nested Class Summary

## Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicTextUI

`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

## Constructor Summary

Constructors
Constructor
Description
`BasicTextFieldUI()`
Creates a new BasicTextFieldUI.

## Method Summary

Modifier and Type
Method
Description
`View`
`create(Element elem)`
Creates a view for an element.
`static ComponentUI`
`createUI(JComponent c)`
Creates a UI for a JTextField.
`int`
`getBaseline(JComponent c, int width, int height)`
Returns the baseline.
`Component.BaselineResizeBehavior`
`getBaselineResizeBehavior(JComponent c)`
Returns an enum indicating how the baseline of the component changes as the size changes.
`protected String`
`getPropertyPrefix()`
Fetches the name used as a key to lookup properties through the UIManager.

### Methods declared in class javax.swing.plaf.basic.BasicTextUI

`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

### Methods declared in class javax.swing.plaf.TextUI

`getToolTipText2D, modelToView2D, viewToModel2D`

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicTextFieldUI

public BasicTextFieldUI()
Creates a new BasicTextFieldUI.

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)
Creates a UI for a JTextField.

Parameters:
  `c` - the text field
Returns:
  the UI

### getPropertyPrefix

protected String getPropertyPrefix()
Fetches the name used as a key to lookup properties through the UIManager. This is used as a prefix to all the standard text properties.

Specified by:
  `getPropertyPrefix` in class `BasicTextUI`
Returns:
  the name ("TextField")

### create

public View create(Element elem)
Creates a view for an element.

Specified by:
  `create` in interface `ViewFactory`
Overrides:
  `create` in class `BasicTextUI`
Parameters:
  `elem` - the element
Returns:
  the view for the element
See Also:
  - `View`

### getBaseline

public int getBaseline(JComponent c, int width, int height)
Returns the baseline.

Overrides:
  `getBaseline` in class `ComponentUI`
Parameters:
  `c` - `JComponent` baseline is being requested for
  `width` - the width to get the baseline for
  `height` - the height to get the baseline for
Returns:
  baseline or a value < 0 indicating there is no reasonable baseline
Throws:
  `NullPointerException` - if `c` is `null`
  `IllegalArgumentException` - if width or height is < 0
Since:
  1.6
See Also:
  - `JComponent.getBaseline(int, int)`

### getBaselineResizeBehavior

public Component.BaselineResizeBehavior getBaselineResizeBehavior(JComponent c)
Returns an enum indicating how the baseline of the component changes as the size changes.

Overrides:
  `getBaselineResizeBehavior` in class `ComponentUI`
Parameters:
  `c` - `JComponent` to return baseline resize behavior for
Returns:
  an enum indicating how the baseline changes as the component size changes
Throws:
  `NullPointerException` - if `c` is `null`
Since:
  1.6
See Also:
  - `JComponent.getBaseline(int, int)`